net.minecraft.client.renderer.texture

## Class TextureUtil

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureUtil

-     public class TextureUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DynamicTexture` | `missingTexture`
    `static int[]` | `missingTextureData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `allocateTexture(int par0, int par1, int par2)`
    `static void` | `allocateTextureImpl(int p_147946_0_, int p_147946_1_, int p_147946_2_, int p_147946_3_, float p_147946_4_)`
    `static void` | `deleteTexture(int p_147942_0_)`
    `static void` | `func_147945_b()`
    `static void` | `func_147950_a(boolean p_147950_0_, boolean p_147950_1_)`
    `static void` | `func_147953_a(int[] p_147953_0_, int p_147953_1_, int p_147953_2_)`
    `static int[][]` | `generateMipmapData(int p_147949_0_, int p_147949_1_, int[][] p_147949_2_)`
    `static int` | `glGenTextures()`
    `static int[]` | `prepareAnisotropicData(int[] p_147948_0_, int p_147948_1_, int p_147948_2_, int p_147948_3_)`
    `static int[]` | `readImageData(IResourceManager par0ResourceManager, ResourceLocation par1ResourceLocation)`
    `static int[]` | `updateAnaglyph(int[] par0ArrayOfInteger)`
    `static void` | `uploadTexture(int par0, int[] par1ArrayOfInteger, int par2, int par3)`
    `static int` | `uploadTextureImage(int par0, java.awt.image.BufferedImage par1BufferedImage)`
    `static int` | `uploadTextureImageAllocate(int par0, java.awt.image.BufferedImage par1BufferedImage, boolean par2, boolean par3)`
    `static int` | `uploadTextureImageSub(int par0, java.awt.image.BufferedImage par1BufferedImage, int par2, int par3, boolean par4, boolean par5)`
    `static void` | `uploadTextureMipmap(int[][] p_147955_0_, int p_147955_1_, int p_147955_2_, int p_147955_3_, int p_147955_4_, boolean p_147955_5_, boolean p_147955_6_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### missingTexture

          public static final DynamicTexture missingTexture

    - #### missingTextureData

          public static final int[] missingTextureData

  - ### Constructor Detail

    - #### TextureUtil

          public TextureUtil()

  - ### Method Detail

    - #### glGenTextures

          public static int glGenTextures()

    - #### deleteTexture

          public static void deleteTexture(int p_147942_0_)

    - #### uploadTextureImage

          public static int uploadTextureImage(int par0,
                               java.awt.image.BufferedImage par1BufferedImage)

    - #### uploadTexture

          public static void uploadTexture(int par0,
                           int[] par1ArrayOfInteger,
                           int par2,
                           int par3)

    - #### generateMipmapData

          public static int[][] generateMipmapData(int p_147949_0_,
                                   int p_147949_1_,
                                   int[][] p_147949_2_)

    - #### uploadTextureMipmap

          public static void uploadTextureMipmap(int[][] p_147955_0_,
                                 int p_147955_1_,
                                 int p_147955_2_,
                                 int p_147955_3_,
                                 int p_147955_4_,
                                 boolean p_147955_5_,
                                 boolean p_147955_6_)

    - #### uploadTextureImageAllocate

          public static int uploadTextureImageAllocate(int par0,
                                       java.awt.image.BufferedImage par1BufferedImage,
                                       boolean par2,
                                       boolean par3)

    - #### allocateTexture

          public static void allocateTexture(int par0,
                             int par1,
                             int par2)

    - #### allocateTextureImpl

          public static void allocateTextureImpl(int p_147946_0_,
                                 int p_147946_1_,
                                 int p_147946_2_,
                                 int p_147946_3_,
                                 float p_147946_4_)

    - #### uploadTextureImageSub

          public static int uploadTextureImageSub(int par0,
                                  java.awt.image.BufferedImage par1BufferedImage,
                                  int par2,
                                  int par3,
                                  boolean par4,
                                  boolean par5)

    - #### func_147950_a

          public static void func_147950_a(boolean p_147950_0_,
                           boolean p_147950_1_)

    - #### func_147945_b

          public static void func_147945_b()

    - #### readImageData

          public static int[] readImageData(IResourceManager par0ResourceManager,
                            ResourceLocation par1ResourceLocation)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### updateAnaglyph

          public static int[] updateAnaglyph(int[] par0ArrayOfInteger)

    - #### prepareAnisotropicData

          public static int[] prepareAnisotropicData(int[] p_147948_0_,
                                     int p_147948_1_,
                                     int p_147948_2_,
                                     int p_147948_3_)

    - #### func_147953_a

          public static void func_147953_a(int[] p_147953_0_,
                           int p_147953_1_,
                           int p_147953_2_)